Index: trunk/examples/extended/electromagnetic/TestEm17/src/PhysListEmStandard.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm17/src/PhysListEmStandard.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm17/src/PhysListEmStandard.cc	(revision 1230)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: PhysListEmStandard.cc,v 1.2 2006/06/29 16:49:09 gunter Exp $
-// GEANT4 tag $Name: geant4-09-01-patch-02 $
+// $Id: PhysListEmStandard.cc,v 1.4 2008/05/07 13:57:56 maire Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -35,4 +35,7 @@
 #include "G4MuonPlus.hh"
 #include "G4MuonMinus.hh"
+#include "G4PionPlus.hh"
+#include "G4PionMinus.hh"
+#include "G4Proton.hh"
 
 #include "G4ProcessManager.hh"
@@ -40,4 +43,7 @@
 #include "G4MuBremsstrahlung.hh"
 #include "G4MuPairProduction.hh"
+#include "G4hIonisation.hh"
+#include "G4hBremsstrahlung.hh"
+#include "G4hPairProduction.hh"
 #include "G4LossTableManager.hh"
 
@@ -57,30 +63,47 @@
 void PhysListEmStandard::ConstructProcess()
 {
-  // Common processes for mu+ and mu-
-  //
-  G4MuIonisation*       muioni = new G4MuIonisation();
-  G4MuBremsstrahlung*   mubrem = new G4MuBremsstrahlung();
-  G4MuPairProduction*   mupair = new G4MuPairProduction();
-
+  // mu+
   G4ParticleDefinition* particle = G4MuonPlus::MuonPlus();
   G4ProcessManager* pmanager = particle->GetProcessManager();    
-  //
-  pmanager->AddProcess(muioni, -1, 2,2);
-  pmanager->AddProcess(mubrem, -1,-1,3);
-  pmanager->AddProcess(mupair, -1,-1,4);
+  pmanager->AddProcess(new G4MuIonisation(),     -1, 2, 2);
+  pmanager->AddProcess(new G4MuBremsstrahlung(), -1, 3, 3);
+  pmanager->AddProcess(new G4MuPairProduction(), -1, 4, 4);
 
+  // mu-
   particle = G4MuonMinus::MuonMinus();
   pmanager = particle->GetProcessManager();    
-  //
-  pmanager->AddProcess(muioni, -1, 2,2);
-  pmanager->AddProcess(mubrem, -1,-1,3);
-  pmanager->AddProcess(mupair, -1,-1,4);
-    
+  pmanager->AddProcess(new G4MuIonisation(),     -1, 2, 2);
+  pmanager->AddProcess(new G4MuBremsstrahlung(), -1, 3, 3);
+  pmanager->AddProcess(new G4MuPairProduction(), -1, 4, 4);
+
+  // pi+
+  particle = G4PionPlus::PionPlus();
+  pmanager = particle->GetProcessManager();    
+  pmanager->AddProcess(new G4hIonisation(),     -1, 2, 2);
+  pmanager->AddProcess(new G4hBremsstrahlung(), -1, 3, 3);
+  pmanager->AddProcess(new G4hPairProduction(), -1, 4, 4);
+
+  // pi-
+  particle = G4PionMinus::PionMinus();
+  pmanager = particle->GetProcessManager();    
+  pmanager->AddProcess(new G4hIonisation(),     -1, 2, 2);
+  pmanager->AddProcess(new G4hBremsstrahlung(), -1, 3, 3);
+  pmanager->AddProcess(new G4hPairProduction(), -1, 4, 4);
+
+  // proton
+  particle = G4Proton::Proton();
+  pmanager = particle->GetProcessManager();    
+  pmanager->AddProcess(new G4hIonisation(),     -1, 2, 2);
+  pmanager->AddProcess(new G4hBremsstrahlung(), -1, 3, 3);
+  pmanager->AddProcess(new G4hPairProduction(), -1, 4, 4);
+
   //extend binning of PhysicsTables
   //
-  G4LossTableManager::Instance()->SetMaxEnergy(1000.0*PeV);
-  G4LossTableManager::Instance()->SetDEDXBinning(220);
-  G4LossTableManager::Instance()->SetLambdaBinning(220);
-  G4LossTableManager::Instance()->SetVerbose(0);
+  G4LossTableManager::Instance()->SetMinEnergy(100*eV);  
+  G4LossTableManager::Instance()->SetMaxEnergy(1000*PeV);
+  G4LossTableManager::Instance()->SetDEDXBinning(160);
+  G4LossTableManager::Instance()->SetLambdaBinning(160);
+  G4LossTableManager::Instance()->SetSplineFlag(true);  
+  G4LossTableManager::Instance()->SetVerbose(1);
 }
 
Index: trunk/examples/extended/electromagnetic/TestEm17/src/PhysicsList.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm17/src/PhysicsList.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm17/src/PhysicsList.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: PhysicsList.cc,v 1.4 2006/10/24 10:06:21 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm17/src/PhysicsListMessenger.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm17/src/PhysicsListMessenger.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm17/src/PhysicsListMessenger.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: PhysicsListMessenger.cc,v 1.2 2006/06/29 16:49:13 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm17/src/PrimaryGeneratorAction.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm17/src/PrimaryGeneratorAction.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm17/src/PrimaryGeneratorAction.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: PrimaryGeneratorAction.cc,v 1.2 2006/06/29 16:49:15 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 // 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm17/src/RunAction.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm17/src/RunAction.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm17/src/RunAction.cc	(revision 1230)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: RunAction.cc,v 1.2 2006/06/29 16:49:17 gunter Exp $
-// GEANT4 tag $Name: geant4-09-01-patch-02 $
+// $Id: RunAction.cc,v 1.4 2008/03/31 10:22:59 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 // 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -139,20 +139,21 @@
   //compute theoritical predictions
   //
-  totalCrossSection = 0.;
-  for (size_t i=0; i< ProcCounter->size();i++) {
-     G4String procName = (*ProcCounter)[i]->GetName();
-     if (procName != "Transportation")
-       totalCrossSection += ComputeTheory(procName, NbOfEvents);
-  }
-  
-  MeanFreePath     = 1./totalCrossSection;
-  massCrossSection = totalCrossSection/density;
-  
-  G4cout << " Theory:     "
-         <<    "total CrossSection = " << totalCrossSection*cm << " /cm"
-         << "\t MeanFreePath = "       << G4BestUnit(MeanFreePath,"Length")
-         << "\t massicCrossSection = " << massCrossSection*g/cm2 << " cm2/g"
-         << G4endl;
-	 	 
+  if(particle == "mu+" || particle == "mu-") { 
+    totalCrossSection = 0.;
+    for (size_t i=0; i< ProcCounter->size();i++) {
+      G4String procName = (*ProcCounter)[i]->GetName();
+      if (procName != "Transportation")
+	totalCrossSection += ComputeTheory(procName, NbOfEvents);
+    }
+  
+    MeanFreePath     = 1./totalCrossSection;
+    massCrossSection = totalCrossSection/density;
+  
+    G4cout << " Theory:     "
+	   <<    "total CrossSection = " << totalCrossSection*cm << " /cm"
+	   << "\t MeanFreePath = "       << G4BestUnit(MeanFreePath,"Length")
+	   << "\t massicCrossSection = " << massCrossSection*g/cm2 << " cm2/g"
+	   << G4endl;
+  }
 	 	 	               	                           
   G4cout.setf(mode,std::ios::floatfield);
@@ -183,9 +184,13 @@
 
   G4int id = 0; G4double cut = 0.;
-  if (process == "muIoni")     {id = 1; cut =    GetEnergyCut(material,1); }
-  if (process == "muPairProd") {id = 2; cut = 2*(GetEnergyCut(material,1) 
+  if (process == "muIoni")          {id = 1; cut =    GetEnergyCut(material,1);}
+  else if (process == "muPairProd") {id = 2; cut = 2*(GetEnergyCut(material,1) 
                                                       + electron_mass_c2); }
-  if (process == "muBrems")    {id = 3; cut =    GetEnergyCut(material,0); }
-  if (process == "muNucl")      id = 4;
+  else if (process == "muBrems")    {id = 3; cut =    GetEnergyCut(material,0);}
+  else if (process == "muNucl")      id = 4;
+  else if (process == "hIoni")      {id = 5; cut =    GetEnergyCut(material,1);}
+  else if (process == "hPairProd")  {id = 6; cut = 2*(GetEnergyCut(material,1) 
+                                                      + electron_mass_c2); }
+  else if (process == "hBrems")     {id = 7; cut =    GetEnergyCut(material,0);}
   if (id == 0) return 0.;
   
Index: trunk/examples/extended/electromagnetic/TestEm17/src/StackingAction.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm17/src/StackingAction.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm17/src/StackingAction.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: StackingAction.cc,v 1.2 2006/06/29 16:49:20 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 // 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm17/src/SteppingAction.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm17/src/SteppingAction.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm17/src/SteppingAction.cc	(revision 1230)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: SteppingAction.cc,v 1.2 2006/06/29 16:49:22 gunter Exp $
-// GEANT4 tag $Name: geant4-09-01-patch-02 $
+// $Id: SteppingAction.cc,v 1.4 2008/03/31 10:22:59 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 // 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -70,8 +70,11 @@
 
   G4int id = 0;
-  if (procName == "muIoni")     id = 1; 
-  if (procName == "muPairProd") id = 2;
-  if (procName == "muBrems")    id = 3;
-  if (procName == "muNucl")     id = 4;    
+  if (procName == "muIoni")          id = 1; 
+  else if (procName == "muPairProd") id = 2;
+  else if (procName == "muBrems")    id = 3;
+  else if (procName == "muNucl")     id = 4;    
+  else if (procName == "hIoni")      id = 5; 
+  else if (procName == "hPairProd")  id = 6;
+  else if (procName == "hBrems")     id = 7;
   histoManager->FillHisto(id,lgepsE);		       
 }
Index: trunk/examples/extended/electromagnetic/TestEm17/src/SteppingVerbose.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm17/src/SteppingVerbose.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm17/src/SteppingVerbose.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: SteppingVerbose.cc,v 1.2 2006/06/29 16:49:25 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm18/GNUmakefile
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm18/GNUmakefile	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm18/GNUmakefile	(revision 1230)
@@ -1,3 +1,3 @@
-# $Id: GNUmakefile,v 1.1 2007/02/13 17:57:19 maire Exp $
+# $Id: GNUmakefile,v 1.2 2008/06/11 22:57:25 maire Exp $
 # --------------------------------------------------------------
 # GNUmakefile for examples module.  Gabriele Cosmo, 06/04/98.
@@ -17,15 +17,5 @@
 #### G4ANALYSIS_USE := true
 
-ifdef G4ANALYSIS_USE
-  CPPFLAGS += -DG4ANALYSIS_USE
-endif
-
 include $(G4INSTALL)/config/architecture.gmk
-
-ifdef G4ANALYSIS_USE
-  # for the aida-config command see the README file
-  CPPFLAGS += `aida-config --include`
-  LOADLIBS += `aida-config --lib`
-endif
 
 include $(G4INSTALL)/config/binmake.gmk
Index: trunk/examples/extended/electromagnetic/TestEm18/TestEm18.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm18/TestEm18.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm18/TestEm18.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: TestEm18.cc,v 1.1 2007/02/13 17:57:19 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm18/electron.mac
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm18/electron.mac	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm18/electron.mac	(revision 1230)
@@ -1,3 +1,3 @@
-# $Id: electron.mac,v 1.1 2007/02/13 17:57:20 maire Exp $
+# $Id: electron.mac,v 1.2 2009/10/12 21:47:57 maire Exp $
 #
 # macro file for TestEm18.cc
@@ -8,4 +8,6 @@
 /testem/det/setMat Water
 /testem/det/setSize 1 cm
+#
+/testem/phys/addPhysics standard
 #
 /testem/phys/setCuts 100 um
Index: trunk/examples/extended/electromagnetic/TestEm18/include/DetectorConstruction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm18/include/DetectorConstruction.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm18/include/DetectorConstruction.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: DetectorConstruction.hh,v 1.1 2007/02/13 17:57:20 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 // 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm18/include/DetectorMessenger.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm18/include/DetectorMessenger.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm18/include/DetectorMessenger.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: DetectorMessenger.hh,v 1.1 2007/02/13 17:57:20 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm18/include/EventAction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm18/include/EventAction.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm18/include/EventAction.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: EventAction.hh,v 1.1 2007/02/13 17:57:20 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm18/include/EventMessenger.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm18/include/EventMessenger.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm18/include/EventMessenger.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: EventMessenger.hh,v 1.1 2007/02/13 17:57:20 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm18/include/HistoManager.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm18/include/HistoManager.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm18/include/HistoManager.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: HistoManager.hh,v 1.2 2007/11/13 16:43:59 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm18/include/HistoMessenger.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm18/include/HistoMessenger.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm18/include/HistoMessenger.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: HistoMessenger.hh,v 1.2 2007/11/13 16:43:59 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm18/include/PhysListEmLivermore.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm18/include/PhysListEmLivermore.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm18/include/PhysListEmLivermore.hh	(revision 1230)
@@ -25,9 +25,6 @@
 //
 //
-// $Id: PhysListEmLivermore.hh,v 1.1 2007/02/13 17:57:20 maire Exp $
-// GEANT4 tag $Name:  $
-//
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
+// $Id: PhysListEmLivermore.hh,v 1.2 2009/10/12 21:47:57 maire Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 
 #ifndef PhysListEmLivermore_h
@@ -41,16 +38,11 @@
 class PhysListEmLivermore : public G4VPhysicsConstructor
 {
-public: 
+public:
   PhysListEmLivermore(const G4String& name = "Livermore");
+
   virtual ~PhysListEmLivermore();
 
-public: 
-  // This method is dummy for physics
-  void ConstructParticle() {};
- 
-  // This method will be invoked in the Construct() method.
-  // each physics process will be instantiated and
-  // registered to the process manager of each particle type 
-  void ConstructProcess();
+  virtual void ConstructParticle() { };
+  virtual void ConstructProcess();
 };
 
@@ -64,4 +56,2 @@
 
 
-
-
Index: trunk/examples/extended/electromagnetic/TestEm18/include/PhysListEmPenelope.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm18/include/PhysListEmPenelope.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm18/include/PhysListEmPenelope.hh	(revision 1230)
@@ -24,9 +24,7 @@
 // ********************************************************************
 //
-// $Id: PhysListEmPenelope.hh,v 1.1 2007/02/13 17:57:20 maire Exp $
-// GEANT4 tag $Name:  $
 //
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
+// $Id: PhysListEmPenelope.hh,v 1.2 2009/10/12 21:47:57 maire Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 
 #ifndef PhysListEmPenelope_h
@@ -40,16 +38,11 @@
 class PhysListEmPenelope : public G4VPhysicsConstructor
 {
-public: 
-  PhysListEmPenelope(const G4String& name = "penelope");
+public:
+  PhysListEmPenelope(const G4String& name = "Penelope");
+
   virtual ~PhysListEmPenelope();
 
-public: 
-  // This method is dummy for physics
-  void ConstructParticle() {};
- 
-  // This method will be invoked in the Construct() method.
-  // each physics process will be instantiated and
-  // registered to the process manager of each particle type 
-  void ConstructProcess();
+  virtual void ConstructParticle() { };
+  virtual void ConstructProcess();
 };
 
@@ -63,4 +56,2 @@
 
 
-
-
Index: trunk/examples/extended/electromagnetic/TestEm18/include/PhysListEmStandard.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm18/include/PhysListEmStandard.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm18/include/PhysListEmStandard.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: PhysListEmStandard.hh,v 1.1 2007/02/13 17:57:20 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm18/include/PhysicsList.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm18/include/PhysicsList.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm18/include/PhysicsList.hh	(revision 1230)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: PhysicsList.hh,v 1.1 2007/02/13 17:57:20 maire Exp $
-// GEANT4 tag $Name:  $
+// $Id: PhysicsList.hh,v 1.3 2009/03/06 18:24:07 maire Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -57,5 +57,5 @@
     void SetCutForElectron(G4double);
     void SetCutForPositron(G4double);
-    
+      
   private:
   
Index: trunk/examples/extended/electromagnetic/TestEm18/include/PhysicsListMessenger.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm18/include/PhysicsListMessenger.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm18/include/PhysicsListMessenger.hh	(revision 1230)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: PhysicsListMessenger.hh,v 1.1 2007/02/13 17:57:20 maire Exp $
-// GEANT4 tag $Name:  $
+// $Id: PhysicsListMessenger.hh,v 1.3 2009/03/06 18:24:07 maire Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -60,5 +60,5 @@
     G4UIcmdWithADoubleAndUnit* gammaCutCmd;
     G4UIcmdWithADoubleAndUnit* electCutCmd;
-    G4UIcmdWithADoubleAndUnit* allCutCmd;        
+    G4UIcmdWithADoubleAndUnit* allCutCmd;
 };
 
Index: trunk/examples/extended/electromagnetic/TestEm18/include/PrimaryGeneratorAction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm18/include/PrimaryGeneratorAction.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm18/include/PrimaryGeneratorAction.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: PrimaryGeneratorAction.hh,v 1.1 2007/02/13 17:57:20 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 // 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm18/include/RunAction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm18/include/RunAction.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm18/include/RunAction.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: RunAction.hh,v 1.1 2007/02/13 17:57:20 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm18/include/StackingAction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm18/include/StackingAction.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm18/include/StackingAction.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: StackingAction.hh,v 1.1 2007/02/13 17:57:20 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm18/include/StepMax.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm18/include/StepMax.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm18/include/StepMax.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: StepMax.hh,v 1.1 2007/02/13 17:57:20 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm18/include/StepMaxMessenger.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm18/include/StepMaxMessenger.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm18/include/StepMaxMessenger.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: StepMaxMessenger.hh,v 1.1 2007/02/13 17:57:20 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm18/include/SteppingAction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm18/include/SteppingAction.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm18/include/SteppingAction.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: SteppingAction.hh,v 1.1 2007/02/13 17:57:20 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm18/include/SteppingVerbose.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm18/include/SteppingVerbose.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm18/include/SteppingVerbose.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: SteppingVerbose.hh,v 1.1 2007/02/13 17:57:20 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //   This class manages the verbose outputs in G4SteppingManager. 
Index: trunk/examples/extended/electromagnetic/TestEm18/proton.mac
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm18/proton.mac	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm18/proton.mac	(revision 1230)
@@ -1,3 +1,3 @@
-# $Id: proton.mac,v 1.1 2007/02/13 17:57:20 maire Exp $
+# $Id: proton.mac,v 1.2 2009/02/22 17:48:53 maire Exp $
 #
 # macro file for TestEm18.cc
@@ -16,5 +16,7 @@
 /gun/energy 100 MeV
 #
-/testem/histo/setFileName proton 
+/testem/histo/setFileName proton
+/testem/histo/setFileType hbook
+# 
 /testem/histo/setHisto 1 100 0 10 MeV	#continuous eLoss 
 /testem/histo/setHisto 2 100 0 10 MeV	#secondary  eLoss
Index: trunk/examples/extended/electromagnetic/TestEm18/src/DetectorConstruction.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm18/src/DetectorConstruction.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm18/src/DetectorConstruction.cc	(revision 1230)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: DetectorConstruction.cc,v 1.2 2007/02/16 11:59:47 maire Exp $
-// GEANT4 tag $Name:  $
+// $Id: DetectorConstruction.cc,v 1.3 2009/03/06 18:24:07 maire Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -113,5 +113,8 @@
   new G4Material("Tungsten"   , z=74., a=183.85*g/mole, density= 19.30*g/cm3);
   new G4Material("Lead"       , z=82., a=207.19*g/mole, density= 11.35*g/cm3);
-
+  
+  new G4Material("ArgonGas"   , z=18., a=39.948*g/mole, density= 1.782*mg/cm3,
+		 kStateGas, 273.15*kelvin, 1*atmosphere);
+		 
   G4cout << *(G4Material::GetMaterialTable()) << G4endl;
 }
Index: trunk/examples/extended/electromagnetic/TestEm18/src/DetectorMessenger.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm18/src/DetectorMessenger.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm18/src/DetectorMessenger.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: DetectorMessenger.cc,v 1.1 2007/02/13 17:57:20 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm18/src/EventAction.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm18/src/EventAction.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm18/src/EventAction.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: EventAction.cc,v 1.1 2007/02/13 17:57:20 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm18/src/EventMessenger.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm18/src/EventMessenger.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm18/src/EventMessenger.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: EventMessenger.cc,v 1.1 2007/02/13 17:57:20 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm18/src/HistoManager.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm18/src/HistoManager.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm18/src/HistoManager.cc	(revision 1230)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: HistoManager.cc,v 1.2 2007/11/13 16:43:59 maire Exp $
-// GEANT4 tag $Name: geant4-09-01-patch-02 $
+// $Id: HistoManager.cc,v 1.5 2008/09/26 20:26:01 maire Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -54,6 +54,6 @@
  
   fileName[0] = "testem18";
-  fileType    = "hbook";
-  fileOption  = "--noErrors uncompress";  
+  fileType    = "root";
+  fileOption  = "--noErrors export=root uncompress";  
   // histograms
   for (G4int k=0; k<MaxHisto; k++) {
@@ -217,5 +217,5 @@
 void HistoManager::PrintHisto(G4int ih)
 {
- if (ih < MaxHisto) ascii[ih] = true;
+ if (ih < MaxHisto) { ascii[ih] = true; ascii[0] = true; }
  else
     G4cout << "---> warning from HistoManager::PrintHisto() : histo " << ih
@@ -230,5 +230,7 @@
 {
 #ifdef G4ANALYSIS_USE
- 
+
+ if (!ascii[0]) return;
+  
  G4String name = fileName[0] + ".ascii";
  std::ofstream File(name, std::ios::out);
@@ -243,5 +245,6 @@
       for (G4int iBin=0; iBin<Nbins[ih]; iBin++) {
          File << "  " << iBin << "\t" 
-              << histo[ih]->binMean(iBin) << "\t"
+	      << 0.5*(histo[ih]->axis().binLowerEdge(iBin) +
+	              histo[ih]->axis().binUpperEdge(iBin)) << "\t"
 	      << histo[ih]->binHeight(iBin) 
 	      << G4endl;
Index: trunk/examples/extended/electromagnetic/TestEm18/src/HistoMessenger.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm18/src/HistoMessenger.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm18/src/HistoMessenger.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: HistoMessenger.cc,v 1.2 2007/11/13 16:43:59 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
